For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get swap status

get

Check the execution status of a swap using the unique deposit address from the quote response.

Path parameters
apiKeystringRequired

API key generated at https://studio.aurora.dev

Query parameters
depositAddressstringRequired

Unique deposit address returned in the quote response for the swap whose status is requested.

Example: 0x76b4c56085ED136a8744D52bE956396624a730E8
depositMemostringOptional

Deposit memo. Required when the original quote response included a depositMemo.

Example: 1111111
Responses
200

Swap execution status retrieved successfully

application/json

Swap execution status retrieved successfully

or
get/api/status/{apiKey}
GET /api/status/{apiKey}?depositAddress=0x76b4c56085ED136a8744D52bE956396624a730E8 HTTP/1.1
Host: intents-api.aurora.dev
Accept: */*
{
  "correlationId": "550e8400-e29b-41d4-a716-446655440000",
  "quoteResponse": {
    "timestamp": "2019-08-24T14:15:22Z",
    "signature": "<string>",
    "correlationId": "550e8400-e29b-41d4-a716-446655440000",
    "quoteRequest": {
      "dry": true,
      "swapType": "EXACT_INPUT",
      "depositType": "ORIGIN_CHAIN",
      "depositMode": "SIMPLE",
      "quoteWaitingTimeMs": 3000,
      "sessionId": "session_abc123",
      "confidentiality": "public",
      "amount": "1000",
      "originAsset": "nep141:arb-0xaf88d065e77c8cc2239327c5edb3a432268e5831.omft.near",
      "destinationAsset": "nep141:sol-5ce3bf3a31af18be40ba30f721101b4341690186.omft.near",
      "slippageTolerance": 100,
      "refundTo": "0x2527D02599Ba641c19FEa793cD0F167589a0f10D",
      "refundType": "ORIGIN_CHAIN",
      "recipient": "13QkxhNMrTPxoCkRdYdJ65tFuwXPhL5gLS2Z5Nr6gjRK",
      "recipientType": "DESTINATION_CHAIN",
      "virtualChainRecipient": "0xb4c2fbec9d610F9A3a9b843c47b1A8095ceC887C",
      "virtualChainRefundRecipient": "0xb4c2fbec9d610F9A3a9b843c47b1A8095ceC887C",
      "deadline": "2019-08-24T14:15:22Z",
      "connectedWallets": [
        "0x123...",
        "0x456..."
      ],
      "referral": "referral",
      "appFees": [
        {
          "recipient": "recipient.near",
          "fee": 100
        }
      ],
      "customRecipientMsg": "smart-contract-recipient.near"
    },
    "quote": {
      "timeEstimate": 120,
      "deadline": "2025-03-04T15:00:00Z",
      "timeWhenInactive": "2025-03-04T15:00:00Z",
      "depositAddress": "0x76b4c56085ED136a8744D52bE956396624a730E8",
      "depositMemo": "1111111",
      "chainDepositAddresses": [
        {
          "blockchain": "near",
          "address": "0x76b4c56085ED136a8744D52bE956396624a730E8",
          "memo": "1111111"
        }
      ],
      "amountIn": "1000000",
      "amountInFormatted": "1",
      "amountInUsd": "1",
      "minAmountIn": "995000",
      "maxAmountIn": "1005000",
      "amountOut": "9950000",
      "amountOutFormatted": "9.95",
      "amountOutUsd": "9.95",
      "minAmountOut": "9900000",
      "refundFee": "1000",
      "withdrawFee": "1000",
      "virtualChainRecipient": "0xb4c2fbec9d610F9A3a9b843c47b1A8095ceC887C",
      "virtualChainRefundRecipient": "0xb4c2fbec9d610F9A3a9b843c47b1A8095ceC887C",
      "customRecipientMsg": "smart-contract-recipient.near"
    }
  },
  "status": "SUCCESS",
  "updatedAt": "2019-08-24T14:15:22Z",
  "swapDetails": {
    "intentHashes": [
      "text"
    ],
    "nearTxHashes": [
      "text"
    ],
    "amountIn": "text",
    "amountInFormatted": "text",
    "amountInUsd": "text",
    "amountOut": "text",
    "amountOutFormatted": "text",
    "amountOutUsd": "text",
    "slippage": 1,
    "originChainTxHashes": [
      {
        "hash": "0xabc123",
        "explorerUrl": "https://etherscan.io/tx/0xabc123"
      }
    ],
    "destinationChainTxHashes": [
      {
        "hash": "0xabc123",
        "explorerUrl": "https://etherscan.io/tx/0xabc123"
      }
    ],
    "refundedAmount": "text",
    "refundedAmountFormatted": "text",
    "refundedAmountUsd": "text",
    "refundReason": "text",
    "depositedAmount": "text",
    "depositedAmountFormatted": "text",
    "depositedAmountUsd": "text",
    "referral": "text"
  }
}

Last updated